Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### floor()

Examples

    float x = 2.88;
    int a = floor(x);  // Set "a" to 2

Description | Calculates the closest int value that is less than or equal to the value of the parameter.

Syntax

    floor(value)

Parameters

value | float

Returns | int
Usage | Web & Application
Related | ceil() round()

Updated on August 30, 2010 04:29:39pm EDT